package common.tags;

public class TagIntArrayList extends TagList<TagIntArray> {
	protected byte getId() {
		return 15;
	}

	protected byte getType() {
		return 11;
	}

	protected TagList<TagIntArray> createInstance() {
		return new TagIntArrayList();
	}

	protected TagIntArray getDefault() {
		return new TagIntArray(new int[0]);
	}

	public int[] get(int index) {
		return this.getElem(index).getIntArray();
	}

	public void add(int[] value) {
		this.addElem(new TagIntArray(value));
	}
}
