package common.tags;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class TagNull extends Tag {
	void read(DataInput input, int depth, SizeTracker tracker) throws IOException {
		tracker.read(8);
	}

	void write(DataOutput output) throws IOException {
	}

	protected byte getId() {
		return (byte)0;
	}

	public String toString() {
		return "END";
	}

	public Tag copy() {
		return new TagNull();
	}
}
